#include <string>
#include <unordered_map>

namespace Resource {
std::unordered_map<std::string, const char*> *resourceFilesData;

const char data0[] = {
	0x48,0x65,0x6c,0x6c,0x6f,0x20,0x57,0x6f,0x72,0x6c,0x64,0x20,0x21,0xa
};

const char data1[] = {
	0x54,0x68,0x69,0x73,0x20,0x69,0x73,0x20,0x61,0x20,0x74,0x65,0x73,0x73,0x73,0x74,0xa,0x66,0x65,0x66,0x65,0x61,0xa
};

void initResourceData()
{
	resourceFilesData = new std::unordered_map<std::string, const char*>();
	(*resourceFilesData)["/data/Qt_workspace/cmaketemplate/test/plop.txt"] = data0;
	(*resourceFilesData)["/data/Qt_workspace/cmaketemplate/test/plop2.txt"] = data1;

}

const char* get(const std::string &fileName)
{
	if(resourceFilesData->count(fileName) > 0)
		return (*resourceFilesData)[fileName];
	else
		return NULL;
}
}
